Requests to the API should return CAPTCHA in the UI language
Closed, ResolvedPublic

Description

Currently, the captcha that is being returned is in the content language rather than the UI language, which loads stylesheets that are in the wrong directionality, and ends up distorting the entire page.

This is just about the chrome, not the FancyCAPTCHA image itself

Mooeypoo created this task.Oct 29 2015, 9:53 PM
Mooeypoo updated the task description. (Show Details)
Mooeypoo raised the priority of this task from to Needs Triage.
Mooeypoo claimed this task.
Mooeypoo added a subscriber: Mooeypoo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 29 2015, 9:54 PM
Restricted Application added a subscriber: Florian. · View Herald TranscriptOct 29 2015, 9:58 PM

Sorry, I don't get it, do you have an example (query)? Is this really Api-related?

Most likely Flow just needs to pass uselang as a query parameter to the API request.

Etonkovidova added a subscriber: Etonkovidova.EditedNov 2 2015, 5:43 PM

Checked in betalabs

Catrope closed this task as Resolved.Nov 13 2015, 7:35 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 13 2015, 7:35 PM